/*
  'Acqua' kwin client

  Copyright (C) 2001 Rik Hemsley (rikkus) <rik@kde.org>

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; see the file COPYING.  If not, write to
  the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
  Boston, MA 02111-1307, USA.
*/

#include "AcquaButtonClose.h"

using namespace KWinInternal;

static const char * close_xpm[] = {
"22 16 219 2",
"  	c None",
". 	c #E9E9E9",
"+ 	c #E5E5E5",
"@ 	c #A8A8A7",
"# 	c #5F5F5D",
"$ 	c #242422",
"% 	c #101010",
"& 	c #232323",
"* 	c #575759",
"= 	c #D0D0D1",
"- 	c #F1F1F1",
"; 	c #F0F0F0",
"> 	c #EAEAEA",
", 	c #706667",
"' 	c #423D41",
") 	c #9B9599",
"! 	c #C8BDC3",
"~ 	c #D7CAD1",
"{ 	c #CEBFC6",
"] 	c #8F8289",
"^ 	c #53484E",
"/ 	c #695E64",
"( 	c #FFFFFF",
"_ 	c #F8F8F8",
": 	c #75746F",
"< 	c #67444A",
"[ 	c #A89694",
"} 	c #DBC7C6",
"| 	c #F2DDDC",
"1 	c #F9E1E1",
"2 	c #FAE0E1",
"3 	c #E7CDCE",
"4 	c #9D8585",
"5 	c #624A4A",
"6 	c #7C716D",
"7 	c #ECECEC",
"8 	c #ACA4A0",
"9 	c #4D2627",
"0 	c #974B55",
"a 	c #B77A75",
"b 	c #D1948F",
"c 	c #E2A5A0",
"d 	c #D89994",
"e 	c #D59691",
"f 	c #B87773",
"g 	c #93524E",
"h 	c #461E1C",
"i 	c #B7A7A9",
"j 	c #DDDDDD",
"k 	c #714F4D",
"l 	c #782C30",
"m 	c #B13F47",
"n 	c #A93832",
"o 	c #BA4943",
"p 	c #C1524B",
"q 	c #C5564F",
"r 	c #B94842",
"s 	c #AC3632",
"t 	c #AE3733",
"u 	c #7A3331",
"v 	c #7A5052",
"w 	c #EEEEEE",
"x 	c #DCDCDC",
"y 	c #541E1C",
"z 	c #9F3738",
"A 	c #A61E22",
"B 	c #C43932",
"C 	c #D24C43",
"D 	c #D04D43",
"E 	c #CC4C41",
"F 	c #DC594F",
"G 	c #D54F46",
"H 	c #BF342D",
"I 	c #B52620",
"J 	c #9D3735",
"K 	c #5D1F20",
"L 	c #FDFDFD",
"M 	c #E8E8E8",
"N 	c #51100C",
"O 	c #B53F3B",
"P 	c #CD3E36",
"Q 	c #D65446",
"R 	c #E16354",
"S 	c #EA7261",
"T 	c #E3705D",
"U 	c #E26F5C",
"V 	c #DD6453",
"W 	c #D95749",
"X 	c #CD4539",
"Y 	c #B23531",
"Z 	c #5A0E0E",
"` 	c #EFEFEF",
" .	c #DADADA",
"..	c #67201A",
"+.	c #B94035",
"@.	c #DE5542",
"#.	c #E66A5E",
"$.	c #E87264",
"%.	c #F78978",
"&.	c #F68F7C",
"*.	c #F58C79",
"=.	c #E87968",
"-.	c #E3695C",
";.	c #D6564B",
">.	c #CD3F3B",
",.	c #6E1B17",
"'.	c #E6E6E6",
").	c #CECDCB",
"!.	c #782F26",
"~.	c #C34B3B",
"{.	c #E9674D",
"].	c #F4736D",
"^.	c #FF867E",
"/.	c #FF968B",
"(.	c #FD9184",
"_.	c #FF978A",
":.	c #FE897F",
"<.	c #F97A73",
"[.	c #EE6763",
"}.	c #D13C36",
"|.	c #832C25",
"1.	c #D2D2D2",
"2.	c #D4D4D4",
"3.	c #876E63",
"4.	c #95332A",
"5.	c #FF6F6F",
"6.	c #F28777",
"7.	c #FF9B8D",
"8.	c #FFA198",
"9.	c #FFA49D",
"0.	c #FFA09A",
"a.	c #FF9690",
"b.	c #FF8B82",
"c.	c #F0766B",
"d.	c #A03837",
"e.	c #915650",
"f.	c #D3D3D2",
"g.	c #F7F7F7",
"h.	c #E1E1E1",
"i.	c #BFBFBF",
"j.	c #954641",
"k.	c #D75B5B",
"l.	c #FFA799",
"m.	c #FFB49F",
"n.	c #F1B9A0",
"o.	c #F3B9A1",
"p.	c #FEB09C",
"q.	c #FD9185",
"r.	c #E4655E",
"s.	c #8E4443",
"t.	c #9F7873",
"u.	c #E2E2E2",
"v.	c #D7D7D7",
"w.	c #AFACAA",
"x.	c #937C7B",
"y.	c #8A3C3C",
"z.	c #F07879",
"A.	c #FE958F",
"B.	c #FFAD9E",
"C.	c #FFBBA5",
"D.	c #FEBAA3",
"E.	c #F2A190",
"F.	c #D46F67",
"G.	c #AD3B3A",
"H.	c #7A5354",
"I.	c #A99F9D",
"J.	c #D6D6D6",
"K.	c #DEDEDE",
"L.	c #BCBCBC",
"M.	c #A4A4A4",
"N.	c #857576",
"O.	c #573B30",
"P.	c #8E6764",
"Q.	c #BD7D7D",
"R.	c #EF7C81",
"S.	c #D66569",
"T.	c #994845",
"U.	c #6E463C",
"V.	c #5F5242",
"W.	c #8F8085",
"X.	c #BABABA",
"Y.	c #E0E0E0",
"Z.	c #CDCDCD",
"`.	c #B4B4B4",
" +	c #A2A2A2",
".+	c #9B9B9B",
"++	c #685D5D",
"@+	c #463F37",
"#+	c #474538",
"$+	c #4A4C3E",
"%+	c #525449",
"&+	c #9C9C9C",
"*+	c #B3B3B3",
"=+	c #CBCBCB",
"-+	c #DBDBDB",
";+	c #E3E3E3",
">+	c #BDBDBD",
",+	c #A9ACAE",
"'+	c #A6A6A6",
")+	c #A3A3A3",
"!+	c #A7A7A7",
"~+	c #A3ABAB",
"{+	c #D9D9D9",
"]+	c #D8D8D8",
"^+	c #D3D3D3",
"/+	c #C7C7C7",
"(+	c #ACACAC",
"_+	c #A5A5A5",
":+	c #A8A8A8",
"<+	c #B0B0B0",
"[+	c #C9C9C9",
"}+	c #CECECE",
"|+	c #CACACA",
"1+	c #C5C5C5",
"2+	c #B8B8B8",
"3+	c #BBBBBB",
"4+	c #C0C0C0",
"5+	c #C8C8C8",
"6+	c #C6C6C6",
". . . . . . . + @ # $ % & * = + . . . . . . ",
"- - - - - ; > , ' ) ! ~ { ] ^ / > ; - - - - ",
"( ( ( ( ( _ : < [ } | 1 2 3 4 5 6 _ ( ( ( ( ",
"- - - - 7 8 9 0 a b c c d e f g h i 7 - - - ",
". . . . j k l m n o p q q r s t u v j . . . ",
"w w w w x y z A B C D E F G H I J K x w w w ",
"L L L L M N O P Q R S T U V W X Y Z M L L L ",
"` ` ` `  ...+.@.#.$.%.&.*.=.-.;.>.,. .` ` ` ",
"'.'.'.'.).!.~.{.].^./.(._.:.<.[.}.|.1.'.'.'.",
"> > > > 2.3.4.5.6.7.8.9.0.a.b.c.d.e.f.> > > ",
"g.g.g.g.h.i.j.k.b.l.m.n.o.p.q.r.s.t.u.g.g.g.",
"M M M M v.w.x.y.z.A.B.C.D.E.F.G.H.I.J.M M M ",
"K.K.K.K.2.L.M.N.O.P.Q.R.S.T.U.V.W.X.1.K.K.K.",
"Y.Y.Y.Y.x Z.`. +.+++@+#+$+%+&+ +*+=+-+Y.Y.Y.",
"> > > > > ;+1.>+,+'+)+ +M.!+~+>+1.;+> > > > ",
"{+{+{+{+{+]+^+/+X.(+_+_+:+<+L.[+^+]+{+{+{+{+",
"}+}+}+}+}+}+}+|+1+>+2+2+3+4+/+=+}+}+}+}+}+}+",
"=+=+=+=+[+|+|+5+/+/+1+1+6+/+[+|+[+|+|+=+=+=+"};

static const char * close_over_xpm[] = {
"22 16 190 2",
"  	c None",
". 	c #E9E9E9",
"+ 	c #E5E5E5",
"@ 	c #A8A8A7",
"# 	c #5F5F5D",
"$ 	c #242422",
"% 	c #101010",
"& 	c #232323",
"* 	c #575759",
"= 	c #D0D0D1",
"- 	c #F1F1F1",
"; 	c #F0F0F0",
"> 	c #EAEAEA",
", 	c #706667",
"' 	c #423D41",
") 	c #9B9599",
"! 	c #C8BDC3",
"~ 	c #D7CAD1",
"{ 	c #CEBFC6",
"] 	c #8F8289",
"^ 	c #53484E",
"/ 	c #695E64",
"( 	c #FFFFFF",
"_ 	c #F8F8F8",
": 	c #75746F",
"< 	c #67444A",
"[ 	c #A89694",
"} 	c #DBC7C6",
"| 	c #F2DDDC",
"1 	c #F9E1E1",
"2 	c #FAE0E1",
"3 	c #E7CDCE",
"4 	c #9D8585",
"5 	c #624A4A",
"6 	c #7C716D",
"7 	c #ECECEC",
"8 	c #ACA4A0",
"9 	c #4D2627",
"0 	c #974B55",
"a 	c #B77A75",
"b 	c #D1948F",
"c 	c #E2A5A0",
"d 	c #D89994",
"e 	c #D59691",
"f 	c #B87773",
"g 	c #93524E",
"h 	c #461E1C",
"i 	c #B7A7A9",
"j 	c #DDDDDD",
"k 	c #714F4D",
"l 	c #782C30",
"m 	c #B13F47",
"n 	c #C1524B",
"o 	c #C5564F",
"p 	c #AE3733",
"q 	c #7A3331",
"r 	c #7A5052",
"s 	c #EEEEEE",
"t 	c #DCDCDC",
"u 	c #541E1C",
"v 	c #9F3738",
"w 	c #A61E22",
"x 	c #C43932",
"y 	c #CC4C41",
"z 	c #BF342D",
"A 	c #B52620",
"B 	c #9D3735",
"C 	c #5D1F20",
"D 	c #FDFDFD",
"E 	c #E8E8E8",
"F 	c #51100C",
"G 	c #B53F3B",
"H 	c #CD3E36",
"I 	c #D65446",
"J 	c #E16354",
"K 	c #DD6453",
"L 	c #D95749",
"M 	c #CD4539",
"N 	c #B23531",
"O 	c #5A0E0E",
"P 	c #EFEFEF",
"Q 	c #DADADA",
"R 	c #67201A",
"S 	c #B94035",
"T 	c #DE5542",
"U 	c #E66A5E",
"V 	c #E87264",
"W 	c #E87968",
"X 	c #E3695C",
"Y 	c #D6564B",
"Z 	c #CD3F3B",
"` 	c #6E1B17",
" .	c #E6E6E6",
"..	c #CECDCB",
"+.	c #782F26",
"@.	c #C34B3B",
"#.	c #E9674D",
"$.	c #F4736D",
"%.	c #FD9184",
"&.	c #F97A73",
"*.	c #EE6763",
"=.	c #D13C36",
"-.	c #832C25",
";.	c #D2D2D2",
">.	c #D4D4D4",
",.	c #876E63",
"'.	c #95332A",
").	c #FF6F6F",
"!.	c #FFA198",
"~.	c #FFA49D",
"{.	c #FFA09A",
"].	c #F0766B",
"^.	c #A03837",
"/.	c #915650",
"(.	c #D3D3D2",
"_.	c #F7F7F7",
":.	c #E1E1E1",
"<.	c #BFBFBF",
"[.	c #954641",
"}.	c #D75B5B",
"|.	c #FF8B82",
"1.	c #FFA799",
"2.	c #FFB49F",
"3.	c #F1B9A0",
"4.	c #F3B9A1",
"5.	c #FEB09C",
"6.	c #FD9185",
"7.	c #E4655E",
"8.	c #8E4443",
"9.	c #9F7873",
"0.	c #E2E2E2",
"a.	c #D7D7D7",
"b.	c #AFACAA",
"c.	c #937C7B",
"d.	c #8A3C3C",
"e.	c #F07879",
"f.	c #FE958F",
"g.	c #FFAD9E",
"h.	c #FFBBA5",
"i.	c #FEBAA3",
"j.	c #F2A190",
"k.	c #D46F67",
"l.	c #AD3B3A",
"m.	c #7A5354",
"n.	c #A99F9D",
"o.	c #D6D6D6",
"p.	c #DEDEDE",
"q.	c #BCBCBC",
"r.	c #A4A4A4",
"s.	c #857576",
"t.	c #573B30",
"u.	c #8E6764",
"v.	c #BD7D7D",
"w.	c #EF7C81",
"x.	c #D66569",
"y.	c #994845",
"z.	c #6E463C",
"A.	c #5F5242",
"B.	c #8F8085",
"C.	c #BABABA",
"D.	c #E0E0E0",
"E.	c #CDCDCD",
"F.	c #B4B4B4",
"G.	c #A2A2A2",
"H.	c #9B9B9B",
"I.	c #685D5D",
"J.	c #463F37",
"K.	c #474538",
"L.	c #4A4C3E",
"M.	c #525449",
"N.	c #9C9C9C",
"O.	c #B3B3B3",
"P.	c #CBCBCB",
"Q.	c #DBDBDB",
"R.	c #E3E3E3",
"S.	c #BDBDBD",
"T.	c #A9ACAE",
"U.	c #A6A6A6",
"V.	c #A3A3A3",
"W.	c #A7A7A7",
"X.	c #A3ABAB",
"Y.	c #D9D9D9",
"Z.	c #D8D8D8",
"`.	c #D3D3D3",
" +	c #C7C7C7",
".+	c #ACACAC",
"++	c #A5A5A5",
"@+	c #A8A8A8",
"#+	c #B0B0B0",
"$+	c #C9C9C9",
". . . . . . . + @ # $ % & * = + . . . . . . ",
"- - - - - ; > , ' ) ! ~ { ] ^ / > ; - - - - ",
"( ( ( ( ( _ : < [ } | 1 2 3 4 5 6 _ ( ( ( ( ",
"- - - - 7 8 9 0 a b c c d e f g h i 7 - - - ",
". . . . j k l m h h n o o h h p q r j . . . ",
"s s s s t u v w x h h y h h z A B C t s s s ",
"D D D D E F G H I J h h h K L M N O E D D D ",
"P P P P Q R S T U V h h h W X Y Z ` Q P P P ",
" . . . ...+.@.#.$.h h %.h h &.*.=.-.;. . . .",
"> > > > >.,.'.).h h !.~.{.h h ].^./.(.> > > ",
"_._._._.:.<.[.}.|.1.2.3.4.5.6.7.8.9.0._._._.",
"E E E E a.b.c.d.e.f.g.h.i.j.k.l.m.n.o.E E E ",
"p.p.p.p.>.q.r.s.t.u.v.w.x.y.z.A.B.C.;.p.p.p.",
"D.D.D.D.t E.F.G.H.I.J.K.L.M.N.G.O.P.Q.D.D.D.",
"> > > > > R.;.S.T.U.V.G.r.W.X.S.;.R.> > > > ",
"Y.Y.Y.Y.Y.Z.`. +C..+++++@+#+q.$+`.Z.Y.Y.Y.Y."};

static const char * close_down_xpm[] = {
"22 16 221 2",
"  	c None",
". 	c #E9E9E9",
"+ 	c #E5E5E5",
"@ 	c #A8A8A7",
"# 	c #5F5F5D",
"$ 	c #242422",
"% 	c #101010",
"& 	c #232323",
"* 	c #575759",
"= 	c #D0D0D1",
"- 	c #F1F1F1",
"; 	c #F0F0F0",
"> 	c #EAEAEA",
", 	c #706667",
"' 	c #423D41",
") 	c #9B9599",
"! 	c #8D8D8D",
"~ 	c #999999",
"{ 	c #8B8B8B",
"] 	c #8F8289",
"^ 	c #53484E",
"/ 	c #695E64",
"( 	c #FFFFFF",
"_ 	c #F8F8F8",
": 	c #696170",
"< 	c #51444A",
"[ 	c #6D5D5D",
"} 	c #A5908F",
"| 	c #B2A6A7",
"1 	c #B29A9B",
"2 	c #B2A3A5",
"3 	c #A68D8F",
"4 	c #76605E",
"5 	c #4D3C39",
"6 	c #635D5F",
"7 	c #ECECEC",
"8 	c #ACA4A0",
"9 	c #3A1D27",
"0 	c #4E282C",
"a 	c #6B3A3D",
"b 	c #834E52",
"c 	c #A8757A",
"d 	c #A27176",
"e 	c #A47177",
"f 	c #804E53",
"g 	c #713D40",
"h 	c #512626",
"i 	c #3C1A1D",
"j 	c #B7A7A9",
"k 	c #DDDDDD",
"l 	c #714F4D",
"m 	c #4B2126",
"n 	c #602426",
"o 	c #4E0707",
"p 	c #450000",
"q 	c #682628",
"r 	c #7E3D43",
"s 	c #65242A",
"t 	c #420003",
"u 	c #4E0608",
"v 	c #692628",
"w 	c #511F21",
"x 	c #7A5052",
"y 	c #EEEEEE",
"z 	c #DCDCDC",
"A 	c #541E1C",
"B 	c #672A2E",
"C 	c #7A2B2A",
"D 	c #6B110D",
"E 	c #610804",
"F 	c #560B09",
"G 	c #652120",
"H 	c #510D0C",
"I 	c #5A0F0D",
"J 	c #660F0E",
"K 	c #7B2827",
"L 	c #6A2626",
"M 	c #5D1F20",
"N 	c #FDFDFD",
"O 	c #E8E8E8",
"P 	c #51100C",
"Q 	c #6C2628",
"R 	c #8B312D",
"S 	c #9A3930",
"T 	c #963930",
"U 	c #63170F",
"V 	c #5B1712",
"W 	c #59150F",
"X 	c #883C37",
"Y 	c #973C36",
"Z 	c #8C302C",
"` 	c #6E2121",
" .	c #5A0E0E",
"..	c #EFEFEF",
"+.	c #DADADA",
"@.	c #67201A",
"#.	c #793230",
"$.	c #9C433A",
"%.	c #AD4C3F",
"&.	c #993F30",
"*.	c #6C2517",
"=.	c #672A1D",
"-.	c #64241A",
";.	c #863F35",
">.	c #AA5248",
",.	c #9E453E",
"'.	c #7B302C",
").	c #6E1B17",
"!.	c #E6E6E6",
"~.	c #CECDCB",
"{.	c #782F26",
"].	c #7B3D3A",
"^.	c #9D4A41",
"/.	c #9E4435",
"(.	c #77210F",
"_.	c #6B2414",
":.	c #78392C",
"<.	c #6B2B1F",
"[.	c #6C251B",
"}.	c #9E493E",
"|.	c #9F4A41",
"1.	c #803935",
"2.	c #832C25",
"3.	c #D2D2D2",
"4.	c #D4D4D4",
"5.	c #876E63",
"6.	c #683735",
"7.	c #904941",
"8.	c #762417",
"9.	c #6D1B0B",
"0.	c #A1574C",
"a.	c #B2736B",
"b.	c #99534C",
"c.	c #621711",
"d.	c #77271E",
"e.	c #994E45",
"f.	c #6A302D",
"g.	c #915650",
"h.	c #D3D3D2",
"i.	c #F7F7F7",
"j.	c #E1E1E1",
"k.	c #BFBFBF",
"l.	c #4E2A2B",
"m.	c #804943",
"n.	c #8A493E",
"o.	c #A25C4F",
"p.	c #B2766E",
"q.	c #B2807B",
"r.	c #B27874",
"s.	c #9C5753",
"t.	c #8D4741",
"u.	c #884945",
"v.	c #4E2222",
"w.	c #9F7873",
"x.	c #E2E2E2",
"y.	c #D7D7D7",
"z.	c #AFACAA",
"A.	c #4E363A",
"B.	c #4E2C2A",
"C.	c #845851",
"D.	c #9F6C66",
"E.	c #B28583",
"F.	c #B28484",
"G.	c #B28688",
"H.	c #A46C6D",
"I.	c #905A59",
"J.	c #5D3030",
"K.	c #58373C",
"L.	c #A99F9D",
"M.	c #D6D6D6",
"N.	c #DEDEDE",
"O.	c #CDCDCD",
"P.	c #B4B4B4",
"Q.	c #493739",
"R.	c #442C2B",
"S.	c #684948",
"T.	c #765353",
"U.	c #886266",
"V.	c #734C50",
"W.	c #694346",
"X.	c #492628",
"Y.	c #59393D",
"Z.	c #8F8085",
"`.	c #CBCBCB",
" +	c #DBDBDB",
".+	c #E0E0E0",
"++	c #E3E3E3",
"@+	c #A2A2A2",
"#+	c #9B9B9B",
"$+	c #685D5D",
"%+	c #43322F",
"&+	c #412F30",
"*+	c #402E31",
"=+	c #525449",
"-+	c #9C9C9C",
";+	c #BDBDBD",
">+	c #A9ACAE",
",+	c #A6A6A6",
"'+	c #A3A3A3",
")+	c #A4A4A4",
"!+	c #A7A7A7",
"~+	c #A3ABAB",
"{+	c #D9D9D9",
"]+	c #D8D8D8",
"^+	c #D3D3D3",
"/+	c #C7C7C7",
"(+	c #BABABA",
"_+	c #ACACAC",
":+	c #A5A5A5",
"<+	c #A8A8A8",
"[+	c #B0B0B0",
"}+	c #BCBCBC",
"|+	c #C9C9C9",
"1+	c #CECECE",
"2+	c #CACACA",
"3+	c #C5C5C5",
"4+	c #B8B8B8",
"5+	c #BBBBBB",
"6+	c #C0C0C0",
"7+	c #C8C8C8",
"8+	c #C6C6C6",
". . . . . . . + @ # $ % & * = + . . . . . . ",
"- - - - - ; > , ' ) ! ~ { ] ^ / > ; - - - - ",
"( ( ( ( ( _ : < [ } | 1 2 3 4 5 6 _ ( ( ( ( ",
"- - - - 7 8 9 0 a b c d e f g h i j 7 - - - ",
". . . . k l m n o p q r s t u v w x k . . . ",
"y y y y z A B C D E F G H I J K L M z y y y ",
"N N N N O P Q R S T U V W X Y Z `  .O N N N ",
"........+.@.#.$.%.&.*.=.-.;.>.,.'.).+.......",
"!.!.!.!.~.{.].^./.(._.:.<.[.}.|.1.2.3.!.!.!.",
"> > > > 4.5.6.7.8.9.0.a.b.c.d.e.f.g.h.> > > ",
"i.i.i.i.j.k.l.m.n.o.p.q.r.s.t.u.v.w.x.i.i.i.",
"O O O O y.z.A.B.C.D.E.F.G.H.I.J.K.L.M.O O O ",
"N.N.N.N.4.O.P.Q.R.S.T.U.V.W.X.Y.Z.`. +N.N.N.",
".+.+.+.+z ++3.@+#+$+%+&+*+=+-+@+3.++> .+.+.+",
"> > > > > ++3.;+>+,+'+@+)+!+~+;+3.++> > > > ",
"{+{+{+{+{+]+^+/+(+_+:+:+<+[+}+|+^+]+{+{+{+{+",
"1+1+1+1+1+1+1+2+3+;+4+4+5+6+/+`.1+1+1+1+1+1+",
"`.`.`.`.|+2+2+7+/+/+3+3+8+/+|+2+|+2+2+`.`.`."};

AcquaButtonClose::AcquaButtonClose(QWidget * parent)
  : AcquaButton(parent, i18n("Close"))
{
    pixmap_=QPixmap(close_xpm);
    pixmap_over=QPixmap(close_over_xpm);
    pixmap_down=QPixmap(close_down_xpm);
}

  void
AcquaButtonClose::clickEvent(int /* button */)
{
  emit(closeWindow());
}

#include "AcquaButtonClose.moc"
// vim:ts=2:sw=2:tw=78:set et:
